@import url('./gradients.css');



* {
    font-family: "Roboto", sans-serif;
    color: #8b8d8f;
}

html{
    height: 100vh;
}

body{
    background-image: var(--background-himage,'');
    background-repeat: no-repeat;
    background-size: cover;

    @media screen and (width < 950px){
         &{

             background-image: var(--background-image,'');
         }
     
    }
 }

#hap-wrapper{
    background: none !important;
    background-image: none !important;
    margin: 0;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    
}

.hap-seekbar-wave-progress{
    position: initial !important;
}

.hap-player-controls {
    width: 100% !important;
    max-width: 200px;
    flex-direction: column;
    align-items: center;

    & button {
        cursor: pointer;
        margin: auto;
        

        & .playpause svg {
            fill: #fefefe !important;
            width: 100% !important;
        }

        & svg {
            position: initial !important;
            transform: none !important;

        }
    }
    & .networks{
        display: flex;
        justify-content: center;
        margin-top: 30px;
        gap: 10px;

        & .hap-contr-btn{
            position: initial !important;

            &  .big{
                width: 5px;
            }

            & .inner_button_big{
                height: 80%;
                width: 100%;
            }
            
            & svg {
                position: initial !important;
                transform: none !important;
                height: 1.5rem;
            }
        }
    }
}

.player {
    height: 600px;
    width: 320px;
    border-radius: 40px;
    background: linear-gradient(to bottom, #33383e 0%, #17191d 100%);
    margin: 0 auto;
    display: block;
    border: solid 2px #3e434c;
    box-shadow: 15px 15px 25px -5px #303030
}

.top {
    display: flex;
    justify-content: center;
    padding: 30px;
}

.indicator {
    font-size: 10px;
}

.small,
.big,
.big_play_pause {
    border-radius: 50%;
    height: 40px;
    width: 40px;
    background: radial-gradient(at bottom right, #292e35 0%, #292e34 80%);
    border: none;
    box-shadow: -7px -6px 10px 5px rgba(255, 255, 255, 0.04),
        6px 6px 10px 5px rgb(39, 42, 47);
    padding: 0;
}

.big,
.big_play_pause {
    height: 60px;
    width: 60px;
    box-shadow: -7px -6px 10px 5px rgba(255, 255, 255, 0.04),
        7px 6px 10px 2px rgb(14, 15, 16);
    background: radial-gradient(at bottom right, #17191e 0%, #1d2025 80%);
}

.big_play_pause {
    background: var(--playpause-background, var(--playpause-from));
    
    &:hover {
        background: var(--playpause-hover-background, var(--playpause-to));
    }
}

.inner_button,
.center,
.inner_button_big,
.playpause {
    border-radius: 50%;
    height: 35px;
    width: 35px;
    background: radial-gradient(at top left,
            rgba(46, 50, 58, 1) 0%,
            rgba(28, 30, 35, 1) 80%);
    margin: 0 auto;
    border: none;
    display: flex;
    justify-content: center;
    vertical-align: middle;
    /* align-self: center; */
    align-items: center;
}

.inner_button_big {
    height: 55px;
    width: 55px;
    background: radial-gradient(at top left,
            rgb(57, 59, 64) 0%,
            rgb(12, 13, 16) 112%);
}

.playpause {
    background: var(--playpause-background, var(--playpause-to));
    height: 55px;
    width: 55px;

    &:hover {
        background: var(--playpause-hover-background, var(--playpause-from));
    }
}



.small:active {
    transform: translateY(2px);
    background: radial-gradient(at top left, #292e35 0%, #292e34 80%);
}

.inner_button:active {
    background: radial-gradient(at bottom right,
            rgba(46, 50, 58, 1) 0%,
            rgba(28, 30, 35, 1) 80%);
}

.big_play_pause:active {
    transform: translateY(4px);
    background: var(--playpause-background, var(--playpause-gradient));
}

.playpause:active {
    background: var(--playpause-background, var(--playpause-from));
}

.big:active {
    transform: translateY(4px);
    background: radial-gradient(at top left, #17191e 0%, #1d2025 80%);
}

.inner_button_big:active {
    background: radial-gradient(at bottom right,
            rgb(57, 59, 64) 0%,
            rgb(12, 13, 16) 112%);
}

.center {
    height: 220px;
    width: 220px;
    box-shadow: -15px -10px 16px 5px rgba(255, 255, 255, 0.04),
        10px 10px 16px 8px rgb(24, 26, 29);
    background: radial-gradient(at top left, var(--center-from,--default-from) 0%,
        var(--center-to,--default-to) 70%);
}

.album {
    width: 90%;
    border-radius: 50%;
    object-fit: cover;
}

.song_details {
    text-align: center;
    margin-top: 40px;
}

.controls {
    display: flex;
    justify-content: space-around;
    margin: 0 30px 0px 30px;
}

.slider {
    margin: 20px auto;
    width: 70%;
}

.slider_bar {
    background: black;
    height: 6px;

    border-radius: 5px;
    margin: 0 auto;
    box-shadow: inset -2px -2px 2px 0px rgb(66, 70, 74),
        inset 1px 1px 1px -1px rgb(0, 0, 0);
}

.inner_slider_bar {
    width: 60%;
    height: 4px;
    background: linear-gradient(to right, var(--slider-from,--default-from) 0%, var(--slider-to,--default-to) 100%);
    margin: 0px 1px;
    border-radius: 5px;
}

.time {
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: 7px;
    margin-bottom: 5px;
}

.description {
    line-height: 1.5;
    margin: 20px
}


